# $Revision: 1.26 $, $Date: 2010/09/29 11:40:32 $
Summary:	Groups, Algorithms and Programming
Summary(pl.UTF-8):	Grupy, Algorytmy i Programowanie
Name:		gap
Version:	4.4.12
Release:	1
License:	distributable
Group:		Applications/Math
Source0:	ftp://ftp.gap-system.org/pub/gap/gap4/tar.bz2/%{name}4r4p12.tar.bz2
# Source0-md5:	2808c00e85e98843bb0e1a62c33ad5f0
Source1:	%{name}.desktop
Patch0:		%{name}-gac.patch
URL:		http://www.gap-system.org/
BuildRequires:	autoconf
BuildRequires:	ghostscript
BuildRequires:	texlive-dvips
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GAP is a free, open and extensible software package for computation in
discrete abstract algebra.

%description -l pl.UTF-8
GAP jest darmowym, otwartym i rozszerzalnym pakietem oprogramowania do
obliczeń dyskretnej abstrakcyjnej algebry.

%prep
%setup -q -c
%patch0 -p1

%build
cd gap4r4
sed -i -e 's/GP_CFLAGS//g' cnf/configure.in
%{__make} -C cnf configure.out
%configure

mkdir -p bin/%{_target_platform}
cp -f cnf/configure.out bin/%{_target_platform}/configure
cd bin/%{_target_platform}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/gap,%{_desktopdir}}

cd gap4r4

cp -a sysinfo.gap grp lib pkg prim small src trans tst $RPM_BUILD_ROOT%{_datadir}/gap/

install bin/%{_target_platform}/gap $RPM_BUILD_ROOT%{_bindir}/%{_target_platform}-gap
sed -e 's|^gap_bin=.*|gap_bin=|' bin/%{_target_platform}/gac > \
		$RPM_BUILD_ROOT%{_bindir}/gac

cat <<EOF > $RPM_BUILD_ROOT%{_bindir}/gap
#!/bin/sh
[ -z "\$GAP_MEM" ] && GAP_MEM=32m
exec %{_bindir}/%{_target_platform}-gap -m \$GAP_MEM -l %{_datadir}/gap \$*
EOF

cd doc
dvipdf new/manual.dvi new.pdf
dvipdf ext/manual.pdf extending.pdf
dvipdf prg/manual.pdf programming.pdf
dvipdf ref/manual.pdf refman.pdf
dvipdf tut/manual.pdf tutorial.pdf

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc gap4r4/doc/*.pdf gap4r4/doc/htm
%attr(755,root,root) %{_bindir}/*
%{_datadir}/gap
%{_desktopdir}/%{name}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gap.spec,v $
Revision 1.26  2010/09/29 11:40:32  baggins
- 4.4.12

Revision 1.25  2010/05/16 12:49:31  sparky
- BR: autoconf, texlive-dvips

Revision 1.24  2010/05/12 15:39:16  baggins
- added desktop categories

Revision 1.23  2008/12/09 11:52:46  baggins
- rel 2

Revision 1.22  2008/12/09 11:43:06  baggins
- rel 1
- removed share_package_demo package (not present in source)
- make pdf docs (and changed R accordingly)
- fix path in gac
- general cleanup

Revision 1.21  2008/12/08 15:38:47  baggins
- started update to 4.4.10

Revision 1.20  2007/02/13 07:16:44  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:48:51  baggins
- converted to UTF-8

Revision 1.18  2005/11/21 07:56:51  blues
- back to http URL

Revision 1.17  2005/11/20 23:27:28  blues
- URL using ftp - working one...

Revision 1.16  2005/05/14 09:06:39  darekr
- _applnkdir -> _desktopdir

Revision 1.15  2003/05/28 12:58:58  malekith
- massive attack: source-md5

Revision 1.14  2003/05/25 05:47:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2002/12/11 13:22:38  roman
- added gap.desktop to Scientific/Mathematics applnk subdir
- changed Release: from 2 to 3

Revision 1.12  2002/12/10 12:38:34  roman
- added tetex-dvips to BuildRequires:
- STBR

Revision 1.11  2002/12/10 11:47:10  qboosh
- missing defattr, restored clean

Revision 1.10  2002/12/10 11:44:35  roman
- moved /usr/src/examples/gap and contents to separate package gap-share_package_demo
- changed Release: from 1 to 2

Revision 1.9  2002/11/27 20:15:35  juandon
- new %%doc

Revision 1.8  2002/04/25 16:20:57  arturs
fixed a small typo

Revision 1.7  2002/03/19 15:20:17  ankry
- fixed URLs

Revision 1.6  2002/02/22 23:28:55  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:13:00  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/11/22 11:15:10  qboosh
- s/Copyright/License/, pl translations, cosmetics

Revision 1.3  2001/11/14 11:44:29  filon
- changed to %%%configure2_13, to make it build

Revision 1.2  2001/03/03 07:15:29  kloczek
- cosmetics.

Revision 1.1  2001/03/01 15:55:33  baggins
- initial revision
